| Agda-2.2.6: A dependently typed functional programming language and proof assistant | Source code | Contents | Index

Agda.TypeChecking.DisplayForm

Documentation

displayForm :: QName -> Args -> TCM (Maybe DisplayTerm) | Source

matchDisplayForm :: DisplayForm -> Args -> Maybe DisplayTerm | Source

class Match a where | Source

Methods

match :: Nat -> a -> a -> Maybe [Term] | Source

Instances

Match Term
Match a => Match ([] a)
Match a => Match (Arg a)

Produced by Haddock version 2.4.2